﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1154: (1 year) VER VISA /9100+Opt250
DATE:                  2018-09-27 12:42:33
AUTHOR:                Fluke
REVISION:              $Revision: 25077 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       193
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         60MH                         1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.006  IF           NOT(VERSIONCHECK("8.0"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  DISP         Ensure a minimum DUT warm-up time of at least
  1.013  DISP         10 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         COMMUNICATION SETUP
  1.015  TARGET
  1.016  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.017  VISA         *RST

  1.018  HEAD         DUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 *IDN? VISA
  1.020  MATH         @DUT_Model = "TBS 1154"
  1.021  MATH         @DUT_Manufacturer = "Tektronix"
  1.022  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub Tek TBS1000 Specifications

  1.025  HEAD         EQUIPMENT REQUIREMENTS
  1.026  OPBR         -z Do you want to review the list of additional
  1.026  OPBR         equipment and/or accessories required?

  1.027  IF           MEM1
  1.028  CALL         Sub Tek TBS1000 VER Required Equipment /9100
  1.029  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.030  CALL         Sub Tek TBS1000 Self-Test VISA
  1.031  JMPL         END                          @Abort
  1.032  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.033  JMPL         END                          @Abort

  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9100+Opt250

  1.036  MATH         @Chan = 2
  1.037  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9100+Opt250

  1.038  MATH         @Chan = 3
  1.039  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9100+Opt250

  1.040  MATH         @Chan = 4
  1.041  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9100+Opt250

  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9100+Opt250
  1.044  JMPL         TRIG_CH1

  1.045  LABEL        BANDWIDTH_CH2
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9100+Opt250
  1.048  JMPL         TRIG_CH2

  1.049  LABEL        BANDWIDTH_CH3
  1.050  MATH         @Chan = 3
  1.051  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9100+Opt250
  1.052  JMPL         TRIG_CH3

  1.053  LABEL        BANDWIDTH_CH4
  1.054  MATH         @Chan = 4
  1.055  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9100+Opt250
  1.056  JMPL         TRIG_CH4

  1.057  LABEL        TRIG_CH1
  1.058  MATH         @Chan = 1
  1.059  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9100+Opt250
  1.060  JMPL         SAMPLE_RATE_DELAY_TIME

  1.061  LABEL        TRIG_CH2
  1.062  MATH         @Chan = 2
  1.063  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9100+Opt250
  1.064  JMPL         BANDWIDTH_CH3

  1.065  LABEL        TRIG_CH3
  1.066  MATH         @Chan = 3
  1.067  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9100+Opt250
  1.068  JMPL         BANDWIDTH_CH4

  1.069  LABEL        TRIG_CH4
  1.070  MATH         @Chan = 4
  1.071  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9100+Opt250

  1.072  MATH         @Chan = 1
  1.073  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /9100+Opt250

  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /9100+Opt250

  1.076  MATH         @Chan = 3
  1.077  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /9100+Opt250

  1.078  MATH         @Chan = 4
  1.079  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /9100+Opt250
  1.080  JMPL         VERTICAL_POSITION

  1.081  LABEL        SAMPLE_RATE_DELAY_TIME
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /9100+Opt250
  1.084  JMPL         BANDWIDTH_CH2

  1.085  LABEL        VERTICAL_POSITION
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /9100

  1.088  MATH         @Chan = 2
  1.089  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /9100

  1.090  MATH         @Chan = 3
  1.091  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /9100

  1.092  MATH         @Chan = 4
  1.093  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /9100

  1.094  LABEL        END

  1.095  IF           @Abort
  1.096  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.097  ENDIF

  1.098  VISA         *RST
  1.099  END
